From 35d40ee86ace286ddd3fae1d8443e5d47b08ccc3 Mon Sep 17 00:00:00 2001
From: Min Chen <chenm003@163.com>
Date: Fri, 28 Jun 2013 21:56:18 +0800
Subject: [PATCH] intrapred: Enable primitive with Intel Compiler

---
 source/common/vec/intrapred.inc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/source/common/vec/intrapred.inc b/source/common/vec/intrapred.inc
index af431da..592c0c6 100644
--- a/source/common/vec/intrapred.inc
+++ b/source/common/vec/intrapred.inc
@@ -10442,7 +10442,7 @@ void NAME(Setup_Vec_IPredPrimitives)(EncoderPrimitives& p)
     /* VC10 and VC11 both generate bad Win32 code for these functions.
      * They apparently can't deal with register allocation for intrinsic
      * functions this large */
-#if HIGH_BIT_DEPTH || (INSTRSET < 5) || (defined(_MSC_VER) && (_MSC_VER > 1500) && !defined(_WIN64))
+#if HIGH_BIT_DEPTH || (INSTRSET < 5) || (defined(_MSC_VER) && (_MSC_VER > 1500) && !defined(_WIN64) && !defined(__INTEL_COMPILER))
     p.getIPredAngs[0] = xPredIntraAngs<4>;
     p.getIPredAngs[1] = xPredIntraAngs<8>;
     p.getIPredAngs[2] = xPredIntraAngs<16>;
-- 
1.7.9.msysgit.0

